STR
Date: 2019-10-22

org.jmol.c

## Enum STR

- java.lang.Object
- - java.lang.Enum<STR>
  - - org.jmol.c.STR

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<STR>

      public enum STR
      extends java.lang.Enum<STR>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION`
    `CARBOHYDRATE`
    `DNA`
    `HELIX`
    `HELIX310`
    `HELIXALPHA`
    `HELIXPI`
    `NONE`
    `NOT`
    `RNA`
    `SHEET`
    `TURN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `color`
    `private int` | `id`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBioStructureTypeName(boolean isGeneric)`
    `int` | `getColor()`
    `int` | `getId()`
    `static STR` | `getProteinStructureType(java.lang.String name)` In DRuMS, RasMol, and Chime, quoting from http://www.umass.edu/microbio/rasmol/rascolor.htm The RasMol structure color scheme colors the molecule by protein secondary structure.
    `private boolean` | `isProtein()`
    `static STR` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static STR[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT

          public static final STR NOT

    - #### NONE

          public static final STR NONE

    - #### TURN

          public static final STR TURN

    - #### SHEET

          public static final STR SHEET

    - #### HELIX

          public static final STR HELIX

    - #### DNA

          public static final STR DNA

    - #### RNA

          public static final STR RNA

    - #### CARBOHYDRATE

          public static final STR CARBOHYDRATE

    - #### HELIX310

          public static final STR HELIX310

    - #### HELIXALPHA

          public static final STR HELIXALPHA

    - #### HELIXPI

          public static final STR HELIXPI

    - #### ANNOTATION

          public static final STR ANNOTATION

  - ### Field Detail

    - #### id

          private int id

    - #### color

          private int color

  - ### Method Detail

    - #### values

          public static STR[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (STR c : STR.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static STR valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getColor

          public int getColor()

    - #### getProteinStructureType

          public static final STR getProteinStructureType(java.lang.String name)

      In DRuMS, RasMol, and Chime, quoting from http://www.umass.edu/microbio/rasmol/rascolor.htm The RasMol structure color scheme colors the molecule by protein secondary structure. Structure Decimal RGB Hex RGB Alpha helices red-magenta [255,0,128] FF 00 80 * Beta strands yellow [255,200,0] FF C8 00 * Turns pale blue [96,128,255] 60 80 FF Other white [255,255,255] FF FF FF Values given in the 1994 RasMol 2.5 Quick Reference Card ([240,0,128] and [255,255,0]) are not correct for RasMol 2.6-beta-2a. This correction was made above on Dec 5, 1998.
      Parameters:
        `name` -
      Returns:
        0-3 or 7-9, but not dna, rna, carbohydrate

    - #### getBioStructureTypeName

          public java.lang.String getBioStructureTypeName(boolean isGeneric)

    - #### isProtein

          private boolean isProtein()